/*
This file is part of IRCaBot.
IRCaBot is IRC logger with features.
Source code: https://notabug.org/acetone/ircabot.
Copyright (C) 2023, acetone.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#include "currenttime.h"
#include "config.h"

QDateTime DateTime()
{
    if (not Config::utcTime())
    {
        return QDateTime();
    }

    auto offset = QDateTime().offsetFromUtc();
    return QDateTime::fromTime_t(QDateTime::currentSecsSinceEpoch() + offset);
}

qint64 currentTimestampSecs()
{
    return DateTime().currentSecsSinceEpoch();
}

qint64 currentTimestampMSecs()
{
    return DateTime().currentMSecsSinceEpoch();
}
